package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils;

import android.content.Context;
import android.net.ConnectivityManager;

/**
 * Created by alex on 20.04.16.
 */

public class NetManager {

  public static boolean isConnected(Context context) {
    ConnectivityManager manager = (ConnectivityManager) context
        .getSystemService(Context.CONNECTIVITY_SERVICE);
    if (manager.getActiveNetworkInfo() != null) {
      return (manager.getActiveNetworkInfo().isAvailable() &&
          manager.getActiveNetworkInfo().isConnected());
    }
    return false;
  }

}
